> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Coaching Types



## OpenAPI

````yaml get /coachings/types
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /coachings/types:
    get:
      summary: List Coaching Types
      responses:
        '200':
          description: List of coaching types
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    unit:
                      type: string
                    is_published:
                      type: boolean
                    calendar_embed_code:
                      type: string
                    created_at:
                      type: string
                      format: date-time
                    updated_at:
                      type: string
                      format: date-time
                    description:
                      type: string
                    coaches:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          email:
                            type: string
                          name:
                            type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````